var chart = new CanvasJS.Chart("chartContainer", {
	title: {
		text: "Spektri ülevaade"
	},
	axisY: {
		title: "Signaali Tugevus (dB)",
		includeZero: true,
		suffix: "dB",
        gridThickness: 0,
        tickLength: 0,
		minimum: -100,
		maximum: 0
	},
    axisX: {
		title: "Sagedus (Hz)",
		suffix: "Hz"
	},
	data: [{
        click: onClick,
		type: "line",	
        markerType: "none"

	}]
});

function onClick(e){
    console.log("You clicked" + e.dataPoint.x);
	data = {'cmd':'dir_find'};
	connection.send(JSON.stringify(data));
	activate_map_view();
}

function updateChart(data) {
    //console.log(performance.now());
	var boilerColor, deltaY, yVal;
	chart.options.data[0].dataPoints = data; 
	chart.render();
};
//updateChart();

//setInterval(function() {updateChart()}, 100);
    
